#include "tearoffbutton.h"

#include <QStyle>
#include <QStyleOption>
#include <QPainter>

TearOffButton::TearOffButton(QWidget *parent) :
    QPushButton(parent)
{
    connect (this, SIGNAL(clicked()), this, SIGNAL(tearOff()));
}

TearOffButton::~TearOffButton ()
{
}

void TearOffButton::paintEvent(QPaintEvent*)
{
    QStyleOption opt;
    opt.initFrom(this);
    QPainter painter(this);
    style()->drawControl(QStyle::CE_MenuTearoff, &opt, &painter, this);
}
