#ifndef TEAROFFBUTTON_H
#define TEAROFFBUTTON_H

#include <QPushButton>

class QPaintEvent;

class TearOffButton : public QPushButton
{
    Q_OBJECT
public:
    explicit TearOffButton(QWidget *parent = 0);
    virtual ~TearOffButton ();


    void setTearOffWidget (QWidget* tearoff);

signals:
    void tearOff ();
    
public slots:

protected:
    virtual void paintEvent ( QPaintEvent * event );

private:
    QWidget* m_ToTearOff;
};

inline void TearOffButton::setTearOffWidget(QWidget *tearoff)
{
    m_ToTearOff=tearoff;
}

#endif // TEAROFFBUTTON_H
