#ifndef DIRECTORYREMOVER_H
#define DIRECTORYREMOVER_H

#include <QDialog>

class QStandardItemModel;

namespace Ui {
    class DirectoryRemover;
}

namespace Texel {

class DirectoryRemover : public QDialog
{
    Q_OBJECT

public:
    explicit DirectoryRemover(QWidget *parent = 0);
    ~DirectoryRemover();

protected:
    void changeEvent(QEvent *e);

public slots:
    void emptyDirectoryToDelete (const QString& directory);

private slots:
    void toggleMark ();
    void removeAll ();
    void removeMarked ();

private:
    void removeDirectory (const QString& dir);

    QStandardItemModel* m_Directories;
    Ui::DirectoryRemover *ui;
};

}

#endif // DIRECTORYREMOVER_H
