/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef PHRASEDELEGATE_H
#define PHRASEDELEGATE_H

#include "view/tableextension/problemawaredelegate.h"

namespace Texel {

class PhraseDelegate: public ProblemAwareDelegate
{
Q_OBJECT;

public:
    PhraseDelegate(QWidget* parent);
    virtual ~PhraseDelegate ();

    virtual QWidget* createEditor (QWidget* parent, const QStyleOptionViewItem& option, const QModelIndex& index) const;
};

}

#endif // PHRASEDELEGATE_H
