/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef PLAYER_ENQUEUELIST_H
#define PLAYER_ENQUEUELIST_H

#include <QWidget>
#include <QMainWindow>

#include "util/widgets/moveindicatorlist.h"

#include "ui_player.h"

namespace Texel {
    namespace Player {

    class EnqueueList: public QWidget, private Ui::EnqueueList
    {
        Q_OBJECT

    public:
        EnqueueList (QWidget* parent);
        virtual ~EnqueueList();

        void setTearOff (bool show);

    signals:
        void close();
        void openPlayDock (bool);

    private slots:
        void removeSelection ();

        void onTearOff ();

    private:
    };

}
}

#endif
