#include "global_exceptions.h"

application_termination::application_termination (int exitcode_, const char* what)
    : logic_error(what),
      exitcode(exitcode_)
{
}

application_termination::~application_termination () throw ()
{
}

application_initialization_termination::application_initialization_termination (int exitcode_, const char* what)
    : application_termination(exitcode_,what)
{
}

application_initialization_termination::~application_initialization_termination () throw ()
{
}
