#ifndef HTMLDELEGATE_H
#define HTMLDELEGATE_H

#include <QStyledItemDelegate>

class HtmlDelegate : public QStyledItemDelegate
{
    Q_OBJECT
public:
    explicit HtmlDelegate(QObject *parent = 0);
    
    void setGridSize (const QSize& grid);
    void setIconSize (const QSize& grid);
signals:
    
public slots:
    
protected:
    void paint ( QPainter * painter, const QStyleOptionViewItem & option, const QModelIndex & index ) const;
    QSize sizeHint ( const QStyleOptionViewItem & option, const QModelIndex & index ) const;

private:
    QSize m_GridSize;
    QSize m_IconSize;
};

inline void HtmlDelegate::setGridSize (const QSize& grid)
{
    m_GridSize=grid;
}

inline void HtmlDelegate::setIconSize (const QSize& grid)
{
    m_IconSize=grid;
}


#endif // HTMLDELEGATE_H
