#ifndef POPUPMENUCONTROLLER_H
#define POPUPMENUCONTROLLER_H

#include <QObject>
#include <QModelIndex>

#include "model/tagitem.h"

namespace Texel {

class TableWidget;

class PopupMenuController: public QObject
{
    Q_OBJECT

public:
    PopupMenuController(QObject *parent);

    TableWidget* m_Widget;
    QModelIndex m_Index;

    TagItem::List m_SelectedRows;

public slots:
    void addLocalImageAsCover ();
    void setModifiedContentForAll ();
    void setModifiedContentForOne ();
    void alterDeferedDeletionMark ();
    void alterDeferedDeletionMark (const QVariant& state);
    void parseCDDBFile ();

private:
    void setModifiedContent (bool forAll);

};

}

#endif // POPUPMENUCONTROLLER_H
